Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase:

## Public Member Functions
| __construct (Connection $connection)
| insertBookmark (Bookmark $bookmark)
  | {Insert a bookmark. Parameters
  \eZ\Publish\SPI\Persistence\Bookmark\Bookmark | $bookmark |
Returns int ID } More...
| deleteBookmark (int $id)
  | {Delete bookmark with the given $id. Parameters
  int | $id | ID of bookmark
} More...
| loadBookmarkDataById (int $id)
| {} More...
| loadBookmarkDataByUserIdAndLocationId (int $userId, array $locationIds)
  | {Load data for an bookmark with the given $userId and $locationId. Parameters
  int | $userId | ID of user
  array | $locationIds | ID of location
Returns array } More...
| loadUserBookmarks (int $userId, int $offset=0, int $limit=-1)
  | {Load data for all bookmarks owned by given $userId. Parameters
  int | $userId | ID of user
  int | $offset | Offset to start listing from, 0 by default
  int | $limit | Limit for the listing. -1 by default (no limit)
Returns array } More...
| countUserBookmarks (int $userId)
  | {Count bookmarks owned by given $userId. Parameters
  int | $userId | ID of user
Returns int } More...
| locationSwapped (int $location1Id, int $location2Id)
  | {Updates related bookmarks when location was swapped. Parameters
  int | $location1Id | ID of first location
  int | $location2Id | ID of second location
} More...

## Public Attributes
const | TABLE_BOOKMARKS = 'ezcontentbrowsebookmark'
const | COLUMN_ID = 'id'
const | COLUMN_USER_ID = 'user_id'
const | COLUMN_LOCATION_ID = 'node_id'
const | COLUMN_NAME = 'name'

## Protected Attributes
| $connection

## Private Member Functions
| getColumns ()

## Detailed Description

Definition at line 16 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::__construct | ( | Connection | $connection | ) |

Definition at line 28 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\$connection.

## Member Function Documentation

## ◆ countUserBookmarks()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::countUserBookmarks | ( | int | $userId | ) |

{Count bookmarks owned by given $userId.

Parameters

  int | $userId | ID of user

Returns
  int

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 128 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

## ◆ deleteBookmark()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::deleteBookmark | ( | int | $id | ) |

{Delete bookmark with the given $id.

Parameters

  int | $id | ID of bookmark

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 58 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

## ◆ getColumns()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::getColumns | ( |  | ) |
| private

Definition at line 160 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\COLUMN_ID, eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\COLUMN_LOCATION_ID, eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\COLUMN_NAME, and eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\COLUMN_USER_ID.

Referenced by eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\loadBookmarkDataById(), eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\loadBookmarkDataByUserIdAndLocationId(), and eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\loadUserBookmarks().

## ◆ insertBookmark()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::insertBookmark | ( | Bookmark | $bookmark | ) |

{Insert a bookmark.

Parameters

  \eZ\Publish\SPI\Persistence\Bookmark\Bookmark | $bookmark |

Returns
  int ID

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 36 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

## ◆ loadBookmarkDataById()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::loadBookmarkDataById | ( | int | $id | ) |

{}

Definition at line 72 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\getColumns().

## ◆ loadBookmarkDataByUserIdAndLocationId()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::loadBookmarkDataByUserIdAndLocationId | ( | int | $userId,
|  | array | $locationIds
| ) |  |

{Load data for an bookmark with the given $userId and $locationId.

Parameters

  int | $userId | ID of user
  array | $locationIds | ID of location

Returns
  array

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 87 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\getColumns().

## ◆ loadUserBookmarks()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::loadUserBookmarks | ( | int | $userId,
|  | int | $offset = `0`,
|  | int | $limit = `-1`
| ) |  |

{Load data for all bookmarks owned by given $userId.

Parameters

  int | $userId | ID of user
  int | $offset | Offset to start listing from, 0 by default
  int | $limit | Limit for the listing. -1 by default (no limit)

Returns
  array

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 106 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\getColumns().

## ◆ locationSwapped()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::locationSwapped | ( | int | $location1Id,
|  | int | $location2Id
| ) |  |

{Updates related bookmarks when location was swapped.

Parameters

  int | $location1Id | ID of first location
  int | $location2Id | ID of second location

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 143 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

## Member Data Documentation

## ◆ $connection

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::$connection
| protected

Definition at line 26 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\__construct().

## ◆ COLUMN_ID

const eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::COLUMN_ID = 'id'

Definition at line 20 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\getColumns().

## ◆ COLUMN_LOCATION_ID

const eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::COLUMN_LOCATION_ID = 'node_id'

Definition at line 22 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\getColumns().

## ◆ COLUMN_NAME

const eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::COLUMN_NAME = 'name'

Definition at line 23 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\getColumns().

## ◆ COLUMN_USER_ID

const eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::COLUMN_USER_ID = 'user_id'

Definition at line 21 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase\getColumns().

## ◆ TABLE_BOOKMARKS

const eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\DoctrineDatabase::TABLE_BOOKMARKS = 'ezcontentbrowsebookmark'

Definition at line 18 of file Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php.

The documentation for this class was generated from the following file:

- Persistence/Legacy/Bookmark/Gateway/DoctrineDatabase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.